AnxPbCapt

Overview

Use AnxPbCapt to:
  • Set the AN-X IP address
  • Capture frames from a Profibus network
  • Select and store frames to a text file


Capture Menu

Items on the Capture Menu include:

  • Acquire capture frames from a Profibus network
  • Dump select frames and store them to a text file


Acquire

This command captures network frames and store them to your hard disk.

This command displays the Capture Control Dialog


Dump

Selects frames from a capture file and stores them to a text file on your hard disk.

This command displays the Text Dump Dialog


Config Menu

Items on the Configuration Menu include:

  • Set AN-X-PBC IP Address set the IP address for the AN-X performing the capture


Set AN-X IP Address

Set AN-X-PBC IP Address

This command selects the AN-X module doing the capture.

The command displays the AN-X IP Address Dialog


Help Menu

The Help Menu provides access to the help system.

Items on the Help Menu include:

  • Help Topics
  • Help About AnxAmxCapt... to display the Help About box


Help Topics

The Help Topics command displays the help contents window.


About Box

About AnxPbCapt...

The About Box displays the version of AnxPbCapt, as well as some copyright information.


Capture Control

Capture Control Dialog

Sets options for capturing network frames and begins the capture.

Browse or type the capture file name into the CaptFile box.

Select the Baud rate from the list.

To capture frames to one large file, check Continuous File.

To use the ring buffer method of capture, uncheck Continuous File and enter the number of minutes of data you wish to store in Keep Time. AnxPbCapt creates a new capture file each minute, and deletes any files older than the keep time. When you stop the capture, the files for Keep Time number of minutes are retained. The value of Keep Time can range from 2 to 1439 minutes.

If you want the capture to stop after a specified number of network errors, enter the value in Stop Error Limit. If the value is 0, AnxPbCapt ignores network errors and continues to capture data until the capture is manually stopped. If you are using the ring buffer method of capture and the Stop Error Limit is non-zero, the error count is reset to 0 each time a new file is opened.

If Auto Dump is checked, AnxPbCapt automatically executes a Dump command when the capture ends.

Click Start to start the capture. AnxPbCapture displays the Capture Status dialog box.


Capture Status

Capture Status Dialog

Shows the state of the capture currently running.

Creating: shows the name of the file currently being created.

Size: is the size of the current file.

Deleting: shows the name of the file currently being deleted. This applies only to captures in ring buffer mode.

GoodRx is a count of the frames with good status captured.

BadRx is the number of frames with bad status.

The Free Space progress bar shows the amount of free space remaining on the hard disk.

Click Stop to terminate the capture and store the captured frames to hard disk.


Delimiters

The start delimiter can have one of the following values.

SD1 | 0x10 (Fixed Length, No Data)
SD2 | 0x68 (Var Length, With Data)
SD3 | 0xa2 (Fixed Length, With Data)
SD4 | 0xdc (Token Pass)
SC | 0xe5 (Single Char, Short Ack)

The end delimiter is always shown as ED.


Dump Text

Dump Text Dialog

Selects frames from a capture file and dumps them to a text file on your hard disk.

Browse or type the name of the capture file in the FileName box.

Browse or type the name of the option file in the OptionFile box.

To edit the current option file, click the Edit button.

To select a range of reference numbered frames, enter the starting reference number (StartRef) and the ending reference number (EndRef).

If the capture file was created using the ring buffer method, enter the number of minutes of data you wish to select in the NumMin box. If the capture file is a continuous file, set NumMin to 1.

Check Auto Exec Editor if you wish AnxAmxCapt to open the file in a text editor after it has been saved. Browse or type the path the the editor into the Editor Path box.

Click the Execute button to dump the selected frames to the text file.


Equation

You can create an equation to control which frames are stored and displayed. The beginning of the equation is marked by the option line showonly. The end of the equation is marked by the option line consisting of the ‘#’ character. There can be only one equation in an option file.

If the equation evaluates to a non-zero value for a frame, the frame is selected. If it evaluates to 0, the frame is not selected.

Equations consists of keywords, parameters, and constants, connected by operators.

Equations can contain the following keywords.

STS
Frame Status
Len
Length of Data portion of Frame, in bytes
SD
Start Delimiter
DA
Destination Address (Node)
SA
Source Address (Node)
FC
Frame Control
DSAP
Destination SAP
SSAP
Source SAP
DataByte[ofs]
Data Byte (Ofs in bytes)
DataWord[ofs]
Data Word (Ofs in bytes)
CmdArg[num]
Command Line Argument num
GapTme
Gap time between frame and previous (in uSec)

The equation can contain the following operators

<> | Not equal
!= | Not equal
=> | Greater than or equal to
<= | Less than or equal to
= | equal to
== | equal to
< | less than
> | Greater than
+ | Add
- | Subtract
* | Multiply
/ | Divide
MOD | Modulus
& | Bitwise AND
| | Bitwise OR
^ | Bitwise exclusive OR
! | NOT
~ | Complement
&& | Logical AND
AND | Logical AND
|| | Logical OR
OR | Logical OR
( | Left parenthesis
) | Right parenthesis


Frame Control

Frame Control can have one of the following values

MTM1 | 0x40 - Cmd: Station Management Time 1
MTM2 | 0xc0 - Cmd: Station Management Time 2
MSRD | 0x41 - Cmd: Station Management Send and Request Data
MSDN | 0x42 - Cmd: Station Management Send Data No Acknowledge
MSDN | 0x42 - Cmd: Station Management Send Data No Acknowledge
SDAL | 0x43 - Cmd: Send Data with Acknowledge (Low Priority)
SDNL | 0x44 - Cmd: Send Data No Acknowledge (Low Priority)
SDAH | 0x45 - Cmd: Send Data with Acknowledge (High Priority)
SDNH | 0x46 - Cmd: Send Data No Acknowledge (High Priority)
RDD | 0x47 - Cmd: Request Diagnosis Data
GSRD | 0x48 - Cmd: Diagnostic Send and Request Data
RFDL | 0x49 - Cmd: Request FDL Status (check for node presence)
MDLY | 0x4a - Cmd: Station Management Send and Request Data Slot Delay
MKEP | 0x4b - Cmd: Station Management Send and Request Data Slot Keep
SRDL | 0x4c - Cmd: Send and Request Data (Low Priority)
SRDH | 0x4d - Cmd: Send and Request Data (High Priority)
RIR | 0x4e - Cmd: Request Ident with Reply
RLSR | 0x4f - Cmd: Request LSAP Status with Reply
OK | 0x00 - Rsp: OK
UE | 0x01 - Rsp: User Error
RR | 0x02 - Rsp: No Resource for Send Data
RS | 0x03 - Rsp: No Service Activated
DL | 0x08 - Rsp: Ok with Data (Low Priority)
NR | 0x09 - Rsp: No Response
DH | 0x0a - Rsp: Ok with Data (High Priority)
RDL | 0x0c - Rsp: No Resource for Send Data, with Data (Low Priority)
RDH | 0x0d - Rsp: No Resource for Send Data, with Data (High Priority)


Help About

Help About AnxPbCapt...

The Help About AnxPbCapt command displays the Help About dialog box, which contains the version of AnxPbCapt, as well as some copyright information.


Help Context

The Help Context command changes the mouse cursor to the Context Help cursor, which you can use to obtain help about any menu command or toolbar item.


AN-X IP Address Dialog

Selects the AN-X performing the capture by IP address.

If you are connecting to an existing network, consult the network administrator about how the AN-X should be configured before you connect the AN-X to the network!

Enter the IP address of the AN-X. You can obtain the IP address using the AnxInit ulility supplied with AN-X.


Option Files

Option files control which frames are selected from a capture file and the format of the text display of the captured frames.

Option files can contain the following commands taht control the format of frames..

TmeAbs
Frame Timestamp, format hr-hour, mn-minute, sc-second, ms-millisecond, us-microsecond, ns-nanosecond
example "hr:mn:sc.ms,us,ns"
TmeGap
Gap Time, time between end of last frame and start of this frame
format hr-hour, mn-minute, sc-second, ms-millisecond, us-microsecond, ns-nanosecond
example "hr:mn:sc.ms,us,ns"
TmeDelta
Delta Time, time between start of previously selected frame and start of this frame
format hr-hour, mn-minute, sc-second, ms-millisecond, us-microsecond, ns-nanosecond
example "hr:mn:sc.ms,us,ns"
TmeGap
Gap Time, time between end of last frame and start of this frame
format hr-hour, mn-minute, sc-second, ms-millisecond, us-microsecond, ns-nanosecond
example "hr:mn:sc.ms,us,ns"
GrphGap width maxscale
show frame gap graph, width in characters, maxscale in time units
example: GrphGap 20 200us
GrphDelta width maxscale
show frame delta time graph, width in characters, maxscale in time units
example: GrphDelta 20 200us
NoRef
don't show reference numbers
NoDelim
don't show start & end delimiters
NoDst
don't show destination node
NoSrc
don't show source node
NoFc
don't show frame control info
NoDstSap
don't show destination SAP
NoSrcSap
don't show source SAP
NoData
don't show frame data
NoBad
don't show bad frames
DetailSts
show detailed frame status info
ShowFcbTyp
show frame count bits for request, Stn-Type for response
ShowFcs
show frame check sum

The option file can also contain an equation that controls which frames are selected.

Refer to the AN-X-PBCAPT user manual for details on the option file contents.

To select all frames from the capture file, use the option file QTS_All.opt


Status

Frame Status

The frame status can have one of the following values.

STSOK | 0x00 Good status
STSSTP | 0x01 - Stop bit error
STSPAR | 0x02 - Parity bit error
STSSD | 0x04 - Invalid Start Delimiter
STSRPT | 0x08 - Start Delimiter Repeat error
STSUND | 0x10 - Frame Underrun
STSOVR | 0x20 - Frame Overrun
STSCHK | 0x40 - Checksum Incorrect
STSED | 0x80 - Invalid End Delimiter


SysClose

System Menu Close

Close the application.


SysMaximize

System Menu Maximize

Maximize the application window.


SysMinimize

System Menu Minimize

Minimize the application window.


SysMove

System Menu Move

Move the application window.


SysRestore

System Menu Restore

Restore a previously minimized application window.


SysSize

System Menu Size

Resize the application window.